Multivariate Pattern Analysis in Python

# mvpa2.kernels.sg.CustomSGKernel

class `mvpa2.kernels.sg.``CustomSGKernel`(kernel_cls, kernel_params=[], **kwargs)

  Class which can wrap any Shogun kernel and it’s kernel parameters

  Attributes

  `descr` | Description of the object if any

  Methods

  `as_raw_sg`() |
  `as_sg`() |

  Initialize CustomSGKernel.

  Parameters:

  kernel_cls : Shogun.Kernel

  > Class of a Kernel from Shogun

  kernel_params : list

  > Each item in this list should be a tuple of (kernelparamname, value), and the order is the explicit order required by the Shogun constructor

  Attributes

  `descr` | Description of the object if any

  Methods

  `as_raw_sg`() |
  `as_sg`() |